org.opencv.features2d

## Class Feature2D

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D

- Direct Known Subclasses:
    AgastFeatureDetector, AKAZE, BoostDesc, BriefDescriptorExtractor, BRISK, DAISY, FastFeatureDetector, FREAK, GFTTDetector, HarrisLaplaceFeatureDetector, KAZE, LATCH, LUCID, MSDDetector, MSER, ORB, SIFT, StarDetector, SURF, VGG

      public class Feature2D
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Feature2D(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Feature2D` | `__fromPtr__(long addr)`
    `void` | `compute(java.util.List<Mat> images, java.util.List<MatOfKeyPoint> keypoints, java.util.List<Mat> descriptors)`
    `void` | `compute(Mat image, MatOfKeyPoint keypoints, Mat descriptors)`
    `int` | `defaultNorm()`
    `int` | `descriptorSize()`
    `int` | `descriptorType()`
    `void` | `detect(java.util.List<Mat> images, java.util.List<MatOfKeyPoint> keypoints)`
    `void` | `detect(java.util.List<Mat> images, java.util.List<MatOfKeyPoint> keypoints, java.util.List<Mat> masks)`
    `void` | `detect(Mat image, MatOfKeyPoint keypoints)`
    `void` | `detect(Mat image, MatOfKeyPoint keypoints, Mat mask)`
    `void` | `detectAndCompute(Mat image, Mat mask, MatOfKeyPoint keypoints, Mat descriptors)`
    `void` | `detectAndCompute(Mat image, Mat mask, MatOfKeyPoint keypoints, Mat descriptors, boolean useProvidedKeypoints)`
    `boolean` | `empty()`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `void` | `read(java.lang.String fileName)`
    `void` | `write(java.lang.String fileName)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Feature2D

          protected Feature2D(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Feature2D __fromPtr__(long addr)

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Overrides:
        `getDefaultName` in class `Algorithm`

    - #### empty

          public boolean empty()

      Overrides:
        `empty` in class `Algorithm`

    - #### defaultNorm

          public int defaultNorm()

    - #### descriptorSize

          public int descriptorSize()

    - #### descriptorType

          public int descriptorType()

    - #### compute

          public void compute(Mat image,
                              MatOfKeyPoint keypoints,
                              Mat descriptors)

    - #### compute

          public void compute(java.util.List<Mat> images,
                              java.util.List<MatOfKeyPoint> keypoints,
                              java.util.List<Mat> descriptors)

    - #### detect

          public void detect(Mat image,
                             MatOfKeyPoint keypoints,
                             Mat mask)

    - #### detect

          public void detect(Mat image,
                             MatOfKeyPoint keypoints)

    - #### detect

          public void detect(java.util.List<Mat> images,
                             java.util.List<MatOfKeyPoint> keypoints,
                             java.util.List<Mat> masks)

    - #### detect

          public void detect(java.util.List<Mat> images,
                             java.util.List<MatOfKeyPoint> keypoints)

    - #### detectAndCompute

          public void detectAndCompute(Mat image,
                                       Mat mask,
                                       MatOfKeyPoint keypoints,
                                       Mat descriptors,
                                       boolean useProvidedKeypoints)

    - #### detectAndCompute

          public void detectAndCompute(Mat image,
                                       Mat mask,
                                       MatOfKeyPoint keypoints,
                                       Mat descriptors)

    - #### read

          public void read(java.lang.String fileName)

    - #### write

          public void write(java.lang.String fileName)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3